#include <stdio.h>
#include <stdarg.h>

FILE *logfile;

void logprintf(char *format, ...) {
	va_list arg;
	
	va_start(arg, format);
	vfprintf(logfile, format, arg);
	va_end(arg);
}

void logvec(double *a) {
	int i;

	for (i=0; i<3; i++) {
		fprintf(logfile, " %lf", a[i]);
	}
	fprintf(logfile, "\n");
}

void startlog(void) {
	if (!(logfile = fopen("log", "w"))) {
		fprintf(stderr, "error opening logfile\n");
		exit(1);
	}
}
